Package Details: gentoo-mirrorselect 2.2.5-1

Git Clone URL: https://aur.archlinux.org/gentoo-mirrorselect.git (read-only)
Package Base: gentoo-mirrorselect
Description: Script for selecting Gentoo mirrors.
Upstream URL: http://sources.gentoo.org/cgi-bin/viewvc.cgi/gentoo-x86/app-portage/mirrorselect/mirrorselect-9999.ebuild
Licenses: GPL2
Submitter: FSMaxB
Maintainer: FSMaxB
Last Packager: FSMaxB
Votes: 5
Popularity: 0.000203
First Submitted: 2014-01-26 19:37
Last Updated: 2019-06-10 08:56

Latest Comments

yurikoles commented on 2018-08-18 17:43

diff --git a/PKGBUILD b/PKGBUILD
index b8fa205..c75932a 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -13,11 +13,11 @@ source=("https://dev.gentoo.org/~dolsen/releases/${_basename}/${_basename}-${pkg
 sha512sums=('af1d3657b9ff5a6184ebfd89579a1bdbf11f7389ca12d4cd7a41cd136a553732cbbfb7675e25f7d79756b0b9e74b496d28ee5fdc8872173825262fae0052e8e2')

 build() {
-    cd "${srcdir}/${_basename}"
+    cd "${srcdir}/${_basename}-${pkgver}"
     ./setup.py build
 }

 package() {
-    cd "${srcdir}/${_basename}"
+    cd "${srcdir}/${_basename}-${pkgver}"
     ./setup.py install --prefix='/usr/' --root="$pkgdir"
 }

0x9fff00 commented on 2018-08-18 13:44

The package no longer builds since it tries to cd into ${srcdir}/${_basename} which doesn't exist, the directory is named ${srcdir}/${_basename}-${pkgver} now. Also, git is no longer needed in makedepends.

FSMaxB commented on 2018-08-16 16:43

Sorry about the initially incorrect update to 2.2.3

FSMaxB commented on 2014-07-11 22:05

Ok, I found the problem, I'm just stupid. The new mirrorselect-2.2.2 needs ssl-fetch-0.2 in order to work. I updated ssl-fetch so it works now.

FSMaxB commented on 2014-07-11 21:50

I just downgraded to 2.2.1, this fixes the problem. But I don't now yet, why the new version doesn't work.

FSMaxB commented on 2014-07-11 21:42

I just confirmed the problem. I hope I get this fixed.

FSMaxB commented on 2014-07-11 21:36

I don't know how I could reproduce this, as it's working fine for me. Maybe I missed some dependency.

I'll create a barebones Arch-Container and see if it works there, but if I'm not able to reproduce it that way, there's nothing I can do.

dwillemv commented on 2014-07-11 21:30

I get the following error when trying to use it:
Traceback (most recent call last):
File "/usr/bin/mirrorselect", line 61, in <module>
MirrorSelect().main(sys.argv)
File "/usr/lib/python3.4/site-packages/mirrorselect/main.py", line 368, in main
hosts = self.get_available_hosts(options)
File "/usr/lib/python3.4/site-packages/mirrorselect/main.py", line 306, in get_available_hosts
hosts = Extractor(MIRRORS_3_XML, options, self.output).hosts
File "/usr/lib/python3.4/site-packages/mirrorselect/extractor.py", line 70, in __init__
self.unfiltered_hosts = self.getlist(parser, list_url)
File "/usr/lib/python3.4/site-packages/mirrorselect/extractor.py", line 116, in getlist
success, mirrorlist, timestamp = fetcher.fetch_content(url)
File "/usr/lib/python3.4/site-packages/sslfetch/connections.py", line 180, in fetch_content
connection = self.fetch_url(url, fheaders)
File "/usr/lib/python3.4/site-packages/sslfetch/connections.py", line 124, in fetch_url
self.output.write("Enabled ssl certificate verification: %s, for: %s\n"
AttributeError: 'dict' object has no attribute 'write'